#include<stdio.h>

int main(){

	int n, i, j;
	scanf("%d", &n);
	
	if(n<=0){
		printf("-1\n");
		return 1;
	}
	for(i=0;i<n;i++){
		for(j=0;j<n;j++){
			if(j>=n-i-1){
				if(j%2!=(n-i)%2)
					printf("*");
				else 
					printf("A");
			}
			else 
				printf(" ");
		}
		for(j=n;j<2*n-1;j++){
			if(j<n+i){
				if((n-i)%2!=j%2)
					printf("*");
				else	
					printf("A");
			}
			else 
				printf(" ");
		}
		printf("\n");
	}	
	return 0;
}
